/*
 * (c) Copyright IBM Corp. 2000, 2001.
 * All Rights Reserved.
 */
package org.eclipse.jdt.internal.corext.refactoring.sef;

import org.eclipse.jdt.internal.compiler.ast.PostfixExpression;
import org.eclipse.jdt.internal.compiler.ast.PrefixExpression;
import org.eclipse.jdt.internal.corext.codemanipulation.SimpleTextEdit;
import org.eclipse.jdt.internal.corext.codemanipulation.TextEdit;
import org.eclipse.jdt.internal.corext.codemanipulation.TextPosition;


final class EncapsulateIncAccess extends SimpleTextEdit {

	public EncapsulateIncAccess(String getter, PrefixExpression node) {
		this(getter, true, node.sourceStart, node.sourceEnd - node.sourceStart + 1);
	}
	
	public EncapsulateIncAccess(String getter, PostfixExpression node) {
		this(getter, false, node.sourceStart, node.sourceEnd - node.sourceStart + 1);
	}

	public EncapsulateIncAccess(String getter, boolean prefix, int offset, int length) {
		super(offset, length, getter + "(" + prefix + ")");
	}
	
	private EncapsulateIncAccess(TextPosition position, String text) {
		super(position, text);
	}
	
	/* non Java-doc
	 * @see TextEdit#getCopy
	 */
	public TextEdit copy() {
		return new EncapsulateIncAccess(getTextPosition().copy(), getText());
	}
	
}

